/*/////////////////////////////////////////////////////////////////////////////////////////////////
	User's Guide
		View JavaScript
 Modified : 2013-11-29
/////////////////////////////////////////////////////////////////////////////////////////////////*/

//ボックスデザインのヘッダ内のトリム
function headerTrim(){
	if(ua._isIE7||ua._isIE6){
		$('h5').each(function(){
			var tmp = jQuery.trim($(this).html());
			$(this).html(tmp);
		});
	}
}

//テーブルヘッダ削除
function removeThead(){
	if(!ua._isIE9hi){
		$('thead').each(function(i,e){
			$(e).children().prependTo($(e).parent());
			$(e).remove();
		});
	}
	$('td:empty').html('<span class="emptyCell"></span>');
	
}

//SequenceOfActionの印刷バグ回避
function GraphicInSOA(){
	if(ua._isIE6){
		$('.SequenceOfAction').prepend('<img src="shared/img/clear1x1.gif" width="1" height="1" />');
		$('.SequenceOfAction .Counter .Alternative').prepend('<img src="shared/img/clear1x1.gif" width="1" height="1" />');
	}
}

//フローチャート
function FlowChart(){
	//フローチャートの最後のFCounter配下にSubActionある場合は lastchildを消す。
	$('.FlowChart > .lastchild').each(function(){
		if($(this).children('div').is('.SubAction')){
			$(this).removeClass('lastchild');
		}
	});
}

//プリント用追加クラス
function printClass(){
	//IE10 アコーディオン中のテーブル内リストへ追加クラス
	if(ua._isIE10){
		$('.answer table li').addClass('accordionTableList');
	}
	
}


$(function(){
	headerTrim();
	removeThead();
	//GraphicInSOA();
	//FlowChart();
	printClass();
});


